Index: slime.el
===================================================================
RCS file: /project/slime/cvsroot/slime/slime.el,v
retrieving revision 1.616
diff -u -r1.616 slime.el
--- slime.el	2 Apr 2006 18:26:47 -0000	1.616
+++ slime.el	3 Apr 2006 00:14:01 -0000
@@ -152,9 +152,9 @@
   :type 'hook
   :group 'slime-lisp)
 
-(defcustom slime-filename-translations '(("" 
-                                          identity
-                                          identity))
+(defcustom slime-filename-translations 
+    (list (list (system-name) 'identity 'identity)
+          '("" identity identity))
   "Alist of mappings between machine names and filename
 translation functions. Each element is of the
 form (HOSTNAME-REGEXP TO-LISP FROM-LISP).
@@ -1266,8 +1266,12 @@
            filename))
 
 (defun slime-find-filename-translators (hostname)
-  (or (assoc-default hostname slime-filename-translations #'string-match)
-      (error "No filename-translations for hostname: %s" hostname)))
+  (let ((match (assoc* hostname 
+                       slime-filename-translations 
+                       :test #'string-match)))
+    (unless match
+      (error "No filename-translations for hostname: %s" hostname))
+    (cdr match)))
 
 (defun slime-make-tramp-file-name (username remote-host lisp-filename)
   "Old (with multi-hops) tramp compatability function"
